#!/bin/sh
# run.sh for OpenCV components
#
rtm-naming 9876
sleep 1
terminal --geometry=80x5+600+100 -e ./ShowImage/ShowComponentComp -T ShowImage&
sleep 1
terminal --geometry=80x5+600+120 -e ./USBCameraComp/CameraComponentComp -T USBCamera&
sleep 1
terminal --geometry=80x5+600+140 -e ./calib/CalibComponentComp -T Caliblation&
sleep 1
terminal --geometry=80x5+600+160 -e ./sback/SbackComponentComp -T Sback&
sleep 1
terminal --geometry=80x5+600+180 -e ./dback/DbackComponentComp -T Dback&
sleep 1
terminal --geometry=80x5+600+200 -e ./tempmatch/MatchingComponentComp -T Matching&
sleep 1
terminal --geometry=80x5+600+220 -e ./flow/FlowComponentComp -T OpticalFlow&
sleep 1
terminal --geometry=80x5+600+240 -e ./Hough/HoughlinesComp -T HoughLines&
sleep 1
terminal --geometry=80x5+600+260 -e ./threshold/ThresholdComponentComp -T Threshold&
sleep 1
terminal --geometry=80x5+600+280 -e ./rote/RotationComponentComp -T Rotation&
sleep 1
terminal --geometry=80x5+600+300 -e ./dilate/DilateComponentComp -T Dilate&
sleep 1
terminal --geometry=80x5+600+320 -e ./erode/ErodeComponentComp -T Erode&
sleep 1
terminal --geometry=80x5+600+340 -e ./smooth/SmoothComponentComp -T Smooth&
sleep 1
terminal --geometry=80x5+600+360 -e ./EdgeComp/EdgeComp -T Edge &
sleep 1
terminal --geometry=80x5+600+380 -e ./gray/GrayComponentComp -T Gray &
sleep 1
terminal --geometry=80x5+600+400 -e ./contours/ContoursComponentComp -T  Contours&


echo Now run "OpenCV components"
